Bug 232060 - WebContent crash when sending invalid IPC message using IPC testing API
Summary: WebContent crash when sending invalid IPC message using IPC testing API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-10-20 17:25 PDT by Brandon
Modified: 2021-10-26 10:06 PDT (History)
4 users (show)

See Also:


Attachments
Patch (2.48 KB, patch)
2021-10-20 17:27 PDT, Brandon
no flags Details | Formatted Diff | Diff
Patch (4.19 KB, patch)
2021-10-20 17:45 PDT, Brandon
wenson_hsieh: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (4.88 KB, patch)
2021-10-22 17:30 PDT, Brandon
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brandon 2021-10-20 17:25:42 PDT
When sending an invalid message using the IPC testing API, the WebContent process will crash.

IPC.sendSyncMessage('UI',IPC.webPageProxyID,IPC.messages.WebPageProxy_ExecuteSavedCommandBySelector.name, 1, [{type: 'String',value: 'AAA'}]);
Comment 1 Brandon 2021-10-20 17:27:41 PDT
Created attachment 441965 [details]
Patch
Comment 2 Brandon 2021-10-20 17:28:45 PDT
<rdar://70334824>
Comment 3 Brandon 2021-10-20 17:45:29 PDT
Created attachment 441967 [details]
Patch
Comment 4 Wenson Hsieh 2021-10-20 17:47:54 PDT
Comment on attachment 441967 [details]
Patch

r=mews
Comment 5 Brandon 2021-10-22 17:30:48 PDT
Created attachment 442228 [details]
Patch
Comment 6 EWS 2021-10-23 13:18:54 PDT
Committed r284746 (243455@main): <https://commits.webkit.org/243455@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 442228 [details].